package com.vandyo.sentry.core.cases;

import com.vandyo.sentry.core.dto.Res;

import java.util.Map;

public abstract class CaseDecorator extends Case {
    private Case aCase = null;

    public CaseDecorator(Case aCase) {
        this.aCase = aCase;
    }

    @Override
    public Res<Map<String, String>> check() {
        // fixme: 依赖上一个请求的数据都要对上一个是否成功进行不同的处理
        // ？？ 如果没有需要的值怎么处理业务逻辑呢？？比如车列表内没有车？（这样要保证测试数据都有）
        return this.aCase.check();
    }
}
