package com.vandyo.sentry.core.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;

@Configuration
@ConfigurationProperties(prefix = "checkmeta")
@EnableConfigurationProperties(MapConfig.class)
public class MapConfig {

    private Map<String,String> desMap = new HashMap<>();
    private Map<String,Integer> timeMap = new HashMap<>();

    public Map<String, String> getDesMap() {
        return desMap;
    }

    public void setDesMap(Map<String, String> desMap) {
        this.desMap = desMap;
    }

    public Map<String, Integer> getTimeMap() {
        return timeMap;
    }

    public void setTimeMap(Map<String, Integer> timeMap) {
        this.timeMap = timeMap;
    }
}
